コード例 #1
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def surfaceselect():
    gate = False
    if MESHGate() or FACEGate():
        gate = True
    FreeCADGui.Selection.addSelectionGate(gate)
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Surfacing Select Mode\n")
コード例 #2
0
 def loadSettings(self):
     self.form.WarningSuppressAllSpeeds.setChecked(
         PathPreferences.suppressAllSpeedsWarning())
     self.form.WarningSuppressRapidSpeeds.setChecked(
         PathPreferences.suppressRapidSpeedsWarning(False))
     self.form.WarningSuppressSelectionMode.setChecked(
         PathPreferences.suppressSelectionModeWarning())
     self.form.EnableAdvancedOCLFeatures.setChecked(
         PathPreferences.advancedOCLFeaturesEnabled())
     self.form.WarningSuppressOpenCamLib.setChecked(
         PathPreferences.suppressOpenCamLibWarning())
     self.updateSelection()
コード例 #3
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def clear():
    FreeCADGui.Selection.removeSelectionGate()
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Free Select\n")
コード例 #4
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def turnselect():
    FreeCADGui.Selection.addSelectionGate(TURNGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Turning Select Mode\n")
コード例 #5
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def customselect():
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Custom Select Mode\n")
コード例 #6
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def probeselect():
    FreeCADGui.Selection.addSelectionGate(PROBEGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Probe Select Mode\n")
コード例 #7
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def vcarveselect():
    FreeCADGui.Selection.addSelectionGate(VCARVEGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Vcarve Select Mode\n")
コード例 #8
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def slotselect():
    FreeCADGui.Selection.addSelectionGate(ALLGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Slot Cutter Select Mode\n")
コード例 #9
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def pocketselect():
    FreeCADGui.Selection.addSelectionGate(POCKETGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Pocketing Select Mode\n")
コード例 #10
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def adaptiveselect():
    FreeCADGui.Selection.addSelectionGate(ADAPTIVEGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Adaptive Select Mode\n")
コード例 #11
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def chamferselect():
    FreeCADGui.Selection.addSelectionGate(CHAMFERGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Deburr Select Mode\n")
コード例 #12
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def fselect():
    FreeCADGui.Selection.addSelectionGate(FACEGate())  # Was PROFILEGate()
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Profiling Select Mode\n")
コード例 #13
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def engraveselect():
    FreeCADGui.Selection.addSelectionGate(ENGRAVEGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Engraving Select Mode\n")
コード例 #14
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def drillselect():
    FreeCADGui.Selection.addSelectionGate(DRILLGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Drilling Select Mode\n")
コード例 #15
0
ファイル: PathSelection.py プロジェクト: mikeprice99/FreeCAD
def contourselect():
    FreeCADGui.Selection.addSelectionGate(CONTOURGate())
    if not PathPreferences.suppressSelectionModeWarning():
        FreeCAD.Console.PrintWarning("Contour Select Mode\n")